[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#288787: IPTables does not work with kernel 2.6.8



Hello,

On Wed, Jan 05, 2005 at 08:27:19PM +0100, Christoph Hellwig wrote:
> On Wed, Jan 05, 2005 at 06:52:26PM +0100, Kurt Huwig wrote:
> > Package: kernel-image-2.6.8-9-amd64-k8
> > Version: 2.6.8-8
> > 
> > Fresh installation of Sarge with all updates from today:
> 
> iptables doesn't work when you're running 32bit userland on 64bit
> kernel, and it's not fixable either.  Run an i386 kernel and everything
> will be fine.

Or use a 64bit iptables package, wich does not offcially exist in 
Debian yet. 

This is indeed an odd problem, and I dont think there will be a 32bit 
interface for iptables in the near future like it exists for alsa
for example. 

Maybe this bug should be reassigned as a wishlist against iptables 
requesting a 64bit package for i386, or closed at all since this is 
not a kernel bug, but the effect of missing support on the userland 
side.

Any suggestions?

Kind regards
Frederik Schueler

-- 
ENOSIG

Attachment: pgprbSmnLIrfW.pgp
Description: PGP signature


Reply to: